Skip to main content
`Ctrl`+`K`

# PetscViewerCGNSGetSolutionName

Gets name of FlowSolution of the viewer

## Synopsis

    #include "petscviewer.h"
    #include "petscdmplex.h"
    PetscErrorCode PetscViewerCGNSGetSolutionName(PetscViewer viewer, const char *name[])

Collective

## Input Parameter

- viewer - `PETSCVIEWERCGNS` `PetscViewer` for CGNS input/output to use with the specified file

## Output Parameter

- name - Name of the FlowSolution_t node corresponding to the solution index

## Notes

Currently assumes there is only one Zone in the CGNS file

## See Also

`PETSCVIEWERCGNS`, `PetscViewer`, `PetscViewerCGNSSetSolutionIndex()`, `PetscViewerCGNSGetSolutionIndex()`, `PetscViewerCGNSGetSolutionTime()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/cgns/cgnsv.c

## Examples

src/dm/impls/plex/tutorials/ex16.c
src/dm/impls/plex/tutorials/ex15.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages